/* AFFECTS TABLET VIEW AND UNDER */
/* Overwrite the carousel previous and next button type for mobile and tablet view*/
@media (max-width: 999px) {
	/* BASE RE-STYLE */
	.rsx-generic-carousel .rsx-button-previous,
	.rsx-generic-carousel .rsx-button-next {
	    background-color: rgba(0,0,0,0.3)!important;
	    height: 32px!important;
	    width: 32px!important;
	    padding: 0!important;
	    border: 2px solid #fff!important;
	    box-shadow: none!important; 
        z-index:2;
	}


	/* ICON TWEAKS */
	.rsx-generic-carousel .rsx-button-previous:before, 
	.rsx-generic-carousel .rsx-button-next:before {
	    font-size: 14px!important;
	    color: #fff!important;
	    width: 12px!important; 
	}
	.rsx-generic-carousel .rsx-button-previous:before {
		transform: rotate(180deg) translateX(50%) translateY(50%)!important; 
		top: auto!important;  
		left: 50%!important; 
	}
	.rsx-generic-carousel .rsx-button-next:before {
		transform: translateX(-50%) translateY(-50%)!important; 
		top: auto!important;
		right: 2px!important;
	}

        .rsx-generic-carousel .rsx-button-next:focus,
        .rsx-generic-carousel .rsx-button-previous:focus,
        .rsx-generic-carousel .rsx-button-next:hover,
        .rsx-generic-carousel .rsx-button-previous:hover {
            background-color: rgba(0,0,0,.5) !important;
            box-shadow: none !important;
            z-index: 2;
        }

	/* ALIGNS BUTTON TO PAGE MARGINS */
	.rsx-generic-carousel .rsx-button-previous {
	    left: 10px!important; 
	    transform: translateY(-50%)!important; 
	}
	.rsx-generic-carousel .rsx-button-next {
	    right: 10px!important; 
	    transform: translateY(-50%)!important; 
	}


}

.slick-list
{
	height:auto!important;
}
.rsx-generic-carousel .doubleclick-adserve iframe {
 
}
.slick-slider,
.rsx-generic-carousel .doubleclick-adserve,
.rsx-generic-carousel .doubleclick-adserve iframe {
    z-index: 1;
}
@media(min-width:1000px) {
    .rsx-generic-carousel-banner > .container > .rsx-generic-carousel-banner-wrap, .rsx-generic-carousel-banner > .container, .rsx-generic-carousel-banner
{	
	min-height:505px;
	display:table;
}
}

@media(min-width: 640px) and (max-width: 999px)
{
	.rsx-button-previous, .rsx-button-next, .slick-prev, .slick-next
	{
		top:43.5%!important;
	}
	.rsx-generic-carousel-banner>.container>.rsx-generic-carousel-banner-wrap, .rsx-generic-carousel-banner>.container, .rsx-generic-carousel-banner
	{
		 height: auto;
   		 min-height: 325px;
	}
}



/*update carousel style*/
@media(max-width: 639px) 
{
	.rsx-generic-carousel-banner-horz.rsx-generic-carousel-banner .rsx-generic-carousel-banner-image img,
	.rsx-generic-carousel-banner:not(.rsx-generic-carousel-banner-vert) .rsx-generic-carousel-banner-image,
	.rsx-generic-carousel-banner-wrap img
	{
		width:90%!important;
		margin:0 auto!important;
		height:auto!important;
	}

	.rsx-generic-carousel-banner-wrap > .rsx-generic-carousel-banner-image
	{ 

		height:auto!important;
	}

	.rsx-generic-carousel-banner>.container>.rsx-generic-carousel-banner-wrap
	{
		vertical-align:middle;
		margin-top:20px;
	}
	
	.rsx-generic-carousel-banner .rsx-generic-carousel-banner-image
	{
		padding-left:0px!important;
		padding-right:0px!important;
	}

	

}

@media(max-width:999px)
{
	.rsx-generic-carousel-slides .slick-dots 
	{
        position: relative;
	    left: 0;
	    transform: none;
	    z-index: 1;
	    padding: 0;
	    list-style-type: none;
	    margin: 0;
	    text-align: center;
	    padding-top:15px;
	}
}

div.slick-slide, section.rsx-generic-carousel-banner
{
	overflow: hidden;
}
div.slick-slide:not(:first-child),
div[data-custom-banner="true"]:not(:first-child),
section.rsx-generic-carousel-banner:not(:first-child),
section.rsx-adobe-target-carousel-banner:not(:first-child),
.at-element-marker
{
	visibility: hidden;
}

/*readjust adserve breakpoint for tablet and desktop*/

@media (max-width: 1016px) and (min-width: 658px)

{.rsx-generic-carousel .doubleclick-adserve, .rsx-generic-carousel .doubleclick-adserve iframe, .rsx-generic-carousel.rsx-generic-carousel-initial-height 
	{
		height: 325px!important;
		width: 100%;
	}
}
@media (min-width: 1017px)
{
	.rsx-generic-carousel .doubleclick-adserve, .rsx-generic-carousel .doubleclick-adserve iframe, .rsx-generic-carousel.rsx-generic-carousel-initial-height 
	{
	    height: 500px;
	    width: 100%;
	}
}
@media(max-width: 656px)
{
	/*adserve control on height of iframe*/
	.rsx-generic-carousel .doubleclick-adserve, .rsx-generic-carousel .doubleclick-adserve iframe, .rsx-generic-carousel.rsx-generic-carousel-initial-height
	{
	    height: 500px!important;
	    overflow:hidden;
	}
}

/*adjust generic banner content text padding, leaving small gap with image and text*/
@media(max-width:639px)
{
   .rsx-generic-carousel-banner-content,	
   .rsx-generic-carousel-banner-content.rsx-pad-30-xs
	{
	    padding:0 30px;
	}
	.rsx-generic-carousel-banner-content>.rsx-generic-carousel-banner-message
	{
		padding:0px!important;
	} 
} 
.rsx-generic-carousel-banner-content>.rsx-generic-carousel-banner-message.rsx-no-background.rsx-no-border
{
	padding:0 10px!important;
} 